/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.queue;

/**
 * <pre>
  *   处理对象请继承AbstractFastQueueHandler
 * </pre>
 *
 * @author 田平 create 2019年3月1日下午2:47:59
 */
public interface FastQueue<T> {
	/**
	 * <pre>向队列中添加对象</pre>
	 *
	 * @param t
	 */
	public void add(T t);

	/**
	 * <pre>初始化</pre>
	 */
	public void init();

	/**
	 * <pre>销毁</pre>
	 */
	public void destroy();

}
